Jenkins Enterprise and Operations Center < 2.277.43.0.2/2.303.3.3 多個弱點 (CloudBees 安全性公告 2021-11-04)

critical Nessus Plugin ID 155631

Synopsis

遠端網頁伺服器上託管的工作排程與管理系統受到多個弱點影響。

描述

遠端 Web 伺服器上執行的 Jenkins Enterprise 或 Jenkins Operations Center 版本為早於 2.277.43.0.2 的 2.277.x 版本或早於 2.303.3.3 的 2.x 版本。因此會受到包括以下在內的多個弱點影響:

- 將檔案作業包裝在 Jenkins 2.318 及更早版本、LTS 2.303.2 及更早版本的代理檔案路徑中,代理程序能夠完全繞過檔案路徑篩選。(CVE-2021-21690)

- 在 Jenkins 2.318 及更早版本、LTS 2.303.2 及更早版本中建立符號連結,而無需「symlink」代理對控制器存取控制權限。(CVE-2021-21691)

- 在 Jenkins 2.318 及更早版本、LTS 2.303.2 及更早版本中的 FilePath#renameTo 和 FilePath#moveAllChildrenTo 僅檢查來源路徑上的「讀取」代理對控制器存取權限,而不會檢查「刪除」。
(CVE-2021-21692)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

將 Jenkins Enterprise 或 Jenkins Operations Center 升級至 2.277.43.0.2、2.303.3.3 或更新版本。

另請參閱

https://www.cloudbees.com/cloudbees-security-advisory-2021-11-04

Plugin 詳細資訊

嚴重性: Critical

ID: 155631

檔案名稱: cloudbees_security_advisory_2021-11-04.nasl

版本: 1.3

類型: combined

代理程式: windows, macosx, unix

系列: CGI abuses

已發布: 2021/11/19

已更新: 2022/4/7

組態: 啟用徹底檢查

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2021-21696

CVSS v3

風險因素: Critical

基本分數: 9.8

時間分數: 8.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:cloudbees:jenkins

必要的 KB 項目: installed_sw/Jenkins

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/11/4

弱點發布日期: 2021/11/4

參考資訊

CVE: CVE-2021-21685, CVE-2021-21686, CVE-2021-21687, CVE-2021-21688, CVE-2021-21689, CVE-2021-21690, CVE-2021-21691, CVE-2021-21692, CVE-2021-21693, CVE-2021-21694, CVE-2021-21695, CVE-2021-21696, CVE-2021-21697, CVE-2021-21698